import { defineStore } from 'pinia';

export const useZoneStore = defineStore('zone', {
  state: () => ({
    loaded: false,
    tiles: undefined,
    players: {}
  }),
  getters: {
    isLoaded: (state) => state.loaded,
    getTiles: (state) => state.tiles,
    getPlayers: (state) => state.players
  },
  actions: {
    loadTiles(tiles: any) {
      this.tiles = tiles;
      this.loaded = true;
    },
    addPlayers(player: any) {
      this.players = player;
    },
    addPlayer(player: any) {
      this.players[player.id] = player;
      console.log('Player added:', player);
    },
    removePlayer(playerId: any) {
      delete this.players[playerId];
    }
  }
});